# MPI_File_iread

Nonblocking read using individual file pointer

## Synopsis

    #ifdef HAVE_MPI_GREQUEST
    #include "mpiu_greq.h"

    #if defined(HAVE_WINDOWS_H) && defined(USE_WIN_THREADED_IO)
    typedef struct iread_args

## Input Parameters

fh
  file handle (handle)

count
  number of elements in buffer (nonnegative integer)

datatype
  datatype of each buffer element (handle)

## Output Parameters

buf
  initial address of buffer (choice)

request
  request object (handle)

Location:iread.c